Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim s As String
        s = InputBox("请输入一个字符")
        Select Case s
            Case "A" To "Z", "a" To "z"
                MsgBox("你输入的是英文字母")
            Case "0" To "9"
                MsgBox("你输入的是数字")
            Case Else
                MsgBox("你输入的是其他字符")
        End Select
    End Sub
End Class
